Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1274220 - Setup can't be canceled using Ctrl + C when setting Local ISO domain path
Summary: Setup can't be canceled using Ctrl + C when setting Local ISO domain path
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Setup.Engine
Version: 3.6.0.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ovirt-4.0.0-alpha
: 4.0.0
Assignee: Lev Veyde
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-22 09:53 UTC by Karolína Hajná
Modified: 2016-07-05 07:42 UTC (History)
8 users (show)

Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-05 07:42:12 UTC
oVirt Team: Integration
rule-engine: ovirt-4.0.0+
rule-engine: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1130764 0 medium CLOSED rollback during yum downgrade fails in case of <Ctrl>C 2021-02-22 00:41:40 UTC
oVirt gerrit 55320 0 master MERGED packaging: setup: Allow to exit with Ctrl-C at ISO domain path prompt 2016-03-29 09:24:19 UTC

Internal Links: 1130764

Description Karolína Hajná 2015-10-22 09:53:15 UTC
Description of problem:
engine-setup can't be canceled using Ctrl + C when setting Local ISO domain path. The setup reacts with this error: "Cannot access mount point None: SIG2"
The options needs to entered and setup terminated after. 

Version-Release number of selected component (if applicable):
3.6.0-1-1

How reproducible:
100%

Steps to Reproduce:
1. Install ovirt-engine
2. Use engine-setup
3. Enter options until you come to Local ISO domain path option. 
4. Press Ctrl + C

Actual results:
engine-setup can't be canceled

Expected results:
engine-setup canceled

Comment 2 Jiri Belka 2016-05-31 09:02:42 UTC
ok, ovirt-engine-setup-plugin-ovirt-engine-4.0.0-0.7.master.el7ev.noarch

         
          Configure an NFS share on this server to be used as an ISO Domain? (Yes, No) [No]: Yes
          Local ISO domain path [/var/lib/exports/iso]: ^C[ ERROR ] Failed to execute stage 'Environment customization': SIG2
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20160531105920-xyzs6a.log
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20160531110017-setup.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Execution of setup failed

Comment 3 Sandro Bonazzola 2016-07-05 07:42:12 UTC
oVirt 4.0.0 has been released, closing current release.


Note You need to log in before you can comment on or make changes to this bug.